.main-menu {
    border-top: 1px solid var(--border-color);
    min-height: 59px;
    border-bottom: 1px solid var(--border-color);
}

.main-menu__close {
    display: none;
}

.main-menu__nav {
    list-style: none;
    padding: 0;
    margin: 0;
}

.main-menu__nav {
    display: flex;
    /* flex-wrap: wrap; */
    align-items: center;
    height: 58px;
    overflow: hidden; 
    white-space: nowrap;
}

.main-menu__item a {
    display: flex;
    align-items: center;
    color: var(--text-color);
    text-decoration: none;
    font-size: 16px;
    line-height: 24px;
}

.main-menu__item>a {
    padding: 15px 0;
    border-bottom: 2px solid transparent;
}

.main-menu__item--hide{
    display: none;
}

.main-menu__item:hover>a path {
    stroke: var(--main-color);
}

.main-menu__item:hover>a {
    color: var(--main-color);
    border-bottom: 2px solid var(--main-color);
    padding-bottom: 15px;
}

.main-menu__item--first>a {
    width: 100%;
    position: relative;
}

.main-menu__item--first>a::after {
    content: '';
    width: 0px;
    border-right: 1px solid var(--border-color);
    position: absolute;
    top: 17px;
    bottom: 17px;
    right: 0;
}

.main-menu__item--first {
    min-width: 210px;
    margin-right: 5px;
    padding: 0px 0 0px 20px;
    box-sizing: border-box;
}

.main-menu__item--first svg {
    margin-right: 5px;
}

.main-menu__item+.main-menu__item {
    margin-left: 20px;
}



.main-menu__item--red a::before {
    content: '';
    width: 8px;
    height: 8px;
    left: 0px;
    top: 5px;
    background: var(--red);
    border: 3px solid #fbd9e1;
    border-radius: 50%;
    margin-right: 5px;
}

.main-menu__sub-menu {
    visibility: hidden;
    opacity: 0;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
    position: absolute;
    left: 0;
    right: 0;
    background: #fff;
    z-index: 99;
    border-bottom: 1px solid var(--border-color);
    border-top: 1px solid var(--border-color);
}

.main-menu__item:hover .main-menu__sub-menu {
    visibility: visible;
    opacity: 1;
}

.sub-menu-ul {
    padding: 30px 20px;
    list-style: none;
    margin: 0;
    position: relative;
    height: 564px;
}

.sub-menu__item>a {
    color: #231f2080;
    padding: 0;
}

.sub-menu__item+.sub-menu__item {
    padding-top: 20px;
}

.sub-menu__item {
    width: 190px;
}

.sub-menu__item, .sub-menu__item a {
    font-size: 14px;
}
.sub-menu-col,
.sub-menu-col ul {
    list-style: none;
}

.sub-menu-col b{

}


.sub-menu-col {
    position: absolute;
    left: 210px;
    display: none;
    flex-direction: column;
    flex-wrap: wrap;
    height: 100%;
    top: 30px;
    padding: 0 37px;
}

.sub-menu-col__item {
    padding: 0;
    margin-right: 40px;
    margin-bottom: 30px;
    min-width: 180px;
}

.sub-menu__item--hover .sub-menu-col {
    display: flex;
}

.sub-menu-col__item li {
    margin-top: 20px;
}

.sub-menu__item--red a, .main-menu__item--red a {
    /* color: var(--red); */
    color: #000000;
}

@media (min-width: 992px) {
    .sub-menu__item>a:hover {
        color: var(--link-color);
    }
}

@media (max-width: 992px) {
    .sub-menu__title {
        width: 100%;
    }
    .main-menu__nav {
        height: auto;
    }
    .sub-menu__item--hover .sub-menu-back {
        display: flex;
        align-items: center;
        position: absolute;
        z-index: var(--z-index-menu);
        top: 0;
        height: 50px;
        padding-left: 20px;
    }
    .main-menu {
        position: fixed;
        left: 0;
        top: 0;
        transform: translateX(-100%);
        background: #fff;
        height: 100vh;
        z-index: var(--z-index-menu);
        width: 300px;
        transition: all 0.3s;
    }
    .main-menu__close {
        display: block;
        position: absolute;
        padding: 13px 20px;
        top: 0;
        right: 0;
        left: 0;
        background: #fff;
        z-index: var(--z-index-menu);
    }
    .main-menu__close--hide {
        display: none;
    }
    .main-menu__item {
        display: none;
    }
    .main-menu__item--first {
        display: block;
    }
    .main-menu--open {
        transform: translateX(0);
    }
    .main-menu__item--first>a {
        display: none;
    }
    .main-menu__sub-menu {
        visibility: visible;
        opacity: 1;
    }
    .main-menu__sub-menu .main-container {
        padding: 0;
    }
    .sub-menu__item--hover .sub-menu-col {
        left: 0;
        background: #fff;
        flex-wrap: wrap;
        flex-direction: row;
        align-content: flex-start;
        padding: 0 0;
        z-index: var(--z-index-menu);
        width: 100%;
    }
    .sub-menu-col__item {
        min-width: 100%;
        margin-right: 0;
    }
    .sub-menu-ul {
        height: 100vh;
        overflow: auto;
        padding: 50px 0;
    }
    .sub-menu-col {
        top: 100px;
    }
    .sub-menu__item {
        width: 100%;
    }
    .sub-menu__item>a {
        font-size: 14px;
        line-height: 20px;
        display: inline-block;
        padding: 12px 20px;
        border-bottom: 1px solid var(--border-color);
        width: 100%;
        color: var(--text-color);
    }
    .sub-menu__item--red > a{
        color: var(--red);
    }
    .sub-menu__item--main > a{
        background: var(--main-bg-color);
    }
    .sub-menu__item--hover>a {
        position: absolute;
        top: 50px;
        z-index: var(--z-index-menu);
        background: #1771F1;
        color: #fff;
    }
    .sub-menu-col__item li+li, .sub-menu__item+.sub-menu__item {
        padding-top: 0;
        margin-top: 0;
    }
    .sub-menu-col b, .sub-menu-col__item li>a {
        font-size: 14px;
        line-height: 20px;
        display: inline-block;
        padding: 12px 20px;
        width: 100%;
        color: var(--text-color);
    }
    .sub-menu-col__item li>a {
        border-bottom: 1px solid var(--border-color);
    }
    .main-menu--open .main-menu__overlay {
        position: absolute;
        height: 100vh;
        width: calc(100vw + 300px);
        z-index: 99;
        background: rgba(0, 0, 0, 0.15);
    }
    .sub-menu__item--parent>a::after {
        content: '';
        background-image: var(--i-arrowRight);
        background-color: var(--main-bg-color);
        background-repeat: no-repeat;
        background-size: 90%;
        background-position: center;
        width: 20px;
        height: 20px;
        border-radius: 4px;
        display: inline-flex;
        line-height: 0;
        position: absolute;
        right: 15px;
    }
    .sub-menu__item--hover>a::after {
        display: none;
    }
    .sub-menu-col__item li>a::after {
        content: '';
        background-image: var(--i-arrowUpRight);
        background-color: var(--main-bg-color);
        background-repeat: no-repeat;
        
        background-position: center;
        width: 20px;
        height: 20px;
        border-radius: 4px;
        display: inline-flex;
        line-height: 0;
        position: absolute;
        right: 15px;
    }
    .sub-menu__item > a[data-count]{
        display: flex;
    }
    .sub-menu__item > a[data-count]::after {
        content: attr(data-count);
        position: relative;
        min-width: 20px;
        height: 20px;
        background: var(--main-bg-color-2);
        color: var(--text-color-2);
        border-radius: 10px;
        font-weight: 500;
        font-size: 12px;
        line-height: 16px;
        margin-left: 5px;
        padding: 0 4px;
        box-sizing: border-box;
        display: flex;
        align-items: center;
        justify-content: center;
    }
}

.main-menu__item+.main-menu__item {
    margin-left: 15px;
}

.main-menu__item--first {
	min-width: 150px;
}

.sub-menu-ul {
	height: 604px;
}

.main-menu__phones {
    display: none;
}

@media (max-width: 768px) {
    .main-menu__phones {
        display: block;
        padding: 20px;
        border-top: 1px solid #eee;
    }
    
    .main-menu__phones a {
        display: block;
        margin-bottom: 10px;
    }
}